# Uses of Interface
org.opensaml.xmlsec.signature.support.SignaturePrevalidator

Packages that use SignaturePrevalidator
Package
Description
org.opensaml.saml.common.binding.security.impl
Classes responsible for performing transport-related and basic message validation of decoded SAML messages.
org.opensaml.saml.metadata.resolver.filter.impl
Implementation of Metadata Filters.
org.opensaml.saml.saml2.assertion
Interfaces and API classes for validating SAML 2 Assertions.
org.opensaml.saml.security.impl
Classes related to verifying various credentials within a SAML system.
org.opensaml.xmlsec.signature.support.impl
Implementations of signature evaluation functions.

## Uses of SignaturePrevalidator in org.opensaml.saml.common.binding.security.impl

Fields in org.opensaml.saml.common.binding.security.impl declared as SignaturePrevalidator
Modifier and Type
Field
Description
`private SignaturePrevalidator`
SAMLProtocolMessageXMLSignatureSecurityHandler.`signaturePrevalidator`
Validator for XML Signature instances.
Methods in org.opensaml.saml.common.binding.security.impl that return SignaturePrevalidator
Modifier and Type
Method
Description
`SignaturePrevalidator`
SAMLProtocolMessageXMLSignatureSecurityHandler.`getSignaturePrevalidator()`
Get the prevalidator for XML Signature instances.
Methods in org.opensaml.saml.common.binding.security.impl with parameters of type SignaturePrevalidator
Modifier and Type
Method
Description
`void`
SAMLProtocolMessageXMLSignatureSecurityHandler.`setSignaturePrevalidator(SignaturePrevalidator validator)`
Set the prevalidator for XML Signature instances.

## Uses of SignaturePrevalidator in org.opensaml.saml.metadata.resolver.filter.impl

Fields in org.opensaml.saml.metadata.resolver.filter.impl declared as SignaturePrevalidator
Modifier and Type
Field
Description
`private SignaturePrevalidator`
SignatureValidationFilter.`signaturePrevalidator`
Prevalidator for XML Signature instances.
Methods in org.opensaml.saml.metadata.resolver.filter.impl that return SignaturePrevalidator
Modifier and Type
Method
Description
`SignaturePrevalidator`
SignatureValidationFilter.`getSignaturePrevalidator()`
Get the validator used to perform pre-validation on Signature tokens.
Methods in org.opensaml.saml.metadata.resolver.filter.impl with parameters of type SignaturePrevalidator
Modifier and Type
Method
Description
`void`
SignatureValidationFilter.`setSignaturePrevalidator(SignaturePrevalidator validator)`
Set the validator used to perform pre-validation on Signature tokens.

## Uses of SignaturePrevalidator in org.opensaml.saml.saml2.assertion

Fields in org.opensaml.saml.saml2.assertion declared as SignaturePrevalidator
Modifier and Type
Field
Description
`private SignaturePrevalidator`
SAML20AssertionValidator.`signaturePrevalidator`
SAML signature profile validator.
Methods in org.opensaml.saml.saml2.assertion that return SignaturePrevalidator
Modifier and Type
Method
Description
`protected SignaturePrevalidator`
SAML20AssertionValidator.`getSignatureValidationPrevalidator(Assertion token, ValidationContext context)`
Get the signature trust engine that will be used in evaluating the Assertion signature.
Constructors in org.opensaml.saml.saml2.assertion with parameters of type SignaturePrevalidator
Modifier
Constructor
Description
``
`SAML20AssertionValidator(Collection<ConditionValidator> newConditionValidators, Collection<SubjectConfirmationValidator> newConfirmationValidators, Collection<StatementValidator> newStatementValidators, AssertionValidator newAssertionValidator, SignatureTrustEngine newTrustEngine, SignaturePrevalidator newSignaturePrevalidator)`
Constructor.

## Uses of SignaturePrevalidator in org.opensaml.saml.security.impl

Classes in org.opensaml.saml.security.impl that implement SignaturePrevalidator
Modifier and Type
Class
Description
`class`
`SAMLSignatureProfileValidator`
A validator for instances of `Signature`, which validates that the signature meets security-related requirements indicated by the SAML profile of XML Signature.

## Uses of SignaturePrevalidator in org.opensaml.xmlsec.signature.support.impl

Classes in org.opensaml.xmlsec.signature.support.impl that implement SignaturePrevalidator
Modifier and Type
Class
Description
`class`
`ChainingSignaturePrevalidator`
A signature prevalidator implementation which chains execution of a list of `SignaturePrevalidator` instances.
Fields in org.opensaml.xmlsec.signature.support.impl with type parameters of type SignaturePrevalidator
Modifier and Type
Field
Description
`private List<SignaturePrevalidator>`
ChainingSignaturePrevalidator.`validators`
The chain of SignaturePrevalidator instances to execute.
Constructor parameters in org.opensaml.xmlsec.signature.support.impl with type arguments of type SignaturePrevalidator
Modifier
Constructor
Description
``
`ChainingSignaturePrevalidator(List<SignaturePrevalidator> validatorChain)`
Constructor.